haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.CodeGen.OverloadedSignals

Synopsis

- genObjectSignals :: Name -> Object -> CodeGen e ()
- genInterfaceSignals :: Name -> Interface -> CodeGen e ()

# Documentation

genObjectSignals :: Name -> Object -> CodeGen e () Source #

Signal instances for (GObject-derived) objects.

genInterfaceSignals :: Name -> Interface -> CodeGen e () Source #

Signal instances for interfaces.